ST_BandFileTimestamp
Prev | 12.5. Raster Band Accessors | Next

## Name

ST_BandFileTimestamp — Returns the file timestamp of a band stored in file system. If no bandnum specified, 1 is assumed.

## Synopsis

`bigint ST_BandFileTimestamp(`raster rast, integer bandnum=1`)`;

## Description

Returns the file timestamp (number of seconds since Jan 1st 1970 00:00:00 UTC) of a band stored in file system. Throws an error if called with an in db band, or if outdb access is not enabled.

This function is typically used in conjunction with ST_BandPath() and ST_BandFileSize() so a client can determine if the filename of a outdb raster as seen by it is the same as the one seen by the server.

Availability: 2.5.0

## Examples

    SELECT ST_BandFileTimestamp(rast,1) FROM dummy_rast WHERE rid = 1;

     st_bandfiletimestamp
    ----------------------
               1521807257

Prev | Up | Next
ST_BandFileSize | Home | ST_BandPixelType